[XSL-LIST Mailing List Archive Home] [By Thread] [By Date] [Recent Entries] [Reply To This Message]

Re: Calling a java method in XSL 1.0 with Saxon 6.5.5

Subject: Re: Calling a java method in XSL 1.0 with Saxon 6.5.5 fails
From: Kai Hackemesser <kaha@xxxxxx>
Date: Wed, 16 May 2007 11:50:07 +0200
Re:  Calling a java method in XSL 1.0 with Saxon 6.5.5
Abel Braaksma schrieb:
The requirements are: It has to run with pure JDK 1.4.2 and there it is used, isn't it?

what's that, "pure jdk"? Does that mean that you are not allowed to have any additional libraries apart from the one that are delivered by Sun? Saxon surely is not provided as part of the JDK, so you already have additional libs. And Saxon 8.9x runs just as well with the "pure jdk 1.4" as the 6.5 version, even better. As an added benefit, you can switch for free to XSLT 2.0, which is a giant leap forward as compared to XSLT 1.0 (but if you are addicted to 1.0, you can still use it just as you did before).


-- Abel Braaksma
The Sun JDK 1.4.2 contains a sax parser and a transformation engine: http://java.sun.com/j2se/1.4.2/docs/guide/xml/jaxp/index.html
I can use this for parsing and transformation and nothing else, that's the requirement. And the problem ;-)


Kai Hackemesser

Current Thread

PURCHASE STYLUS STUDIO ONLINE TODAY!

Purchasing Stylus Studio from our online shop is Easy, Secure and Value Priced!

Buy Stylus Studio Now

Download The World's Best XML IDE!

Accelerate XML development with our award-winning XML IDE - Download a free trial today!

Don't miss another message! Subscribe to this list today.
Email
First Name
Last Name
Company
Subscribe in XML format
RSS 2.0
Atom 0.3
Site Map | Privacy Policy | Terms of Use | Trademarks
Free Stylus Studio XML Training:
W3C Member
Stylus Studio® and DataDirect XQuery ™are products from DataDirect Technologies, is a registered trademark of Progress Software Corporation, in the U.S. and other countries. © 2004-2013 All Rights Reserved.